## org.jboss.tm.usertx.server
Class ClientUserTransactionService

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.tm.usertx.server.ClientUserTransactionService

All Implemented Interfaces:
  ClientUserTransactionServiceMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, Service, ServiceMBean

public class ClientUserTransactionService
extends ServiceMBeanSupport
implements ClientUserTransactionServiceMBean

This is a JMX service handling the serverside of UserTransaction usage for standalone clients.

Version:
  $Revision: 1.1.4.1 $
Author:
  Ole Husgaard

Field Summary
`static java.lang.String` `FACTORY_NAME`
`static java.lang.String` `JNDI_NAME`

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.tm.usertx.server.ClientUserTransactionServiceMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`ClientUserTransactionService()`

Method Summary
`java.lang.String` `getName()`
`protected javax.management.ObjectName` `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)`
`protected void` `startService()`
`protected void` `stopService()`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### JNDI_NAME

    public static java.lang.String JNDI_NAME

### FACTORY_NAME

    public static java.lang.String FACTORY_NAME

Constructor Detail

### ClientUserTransactionService

    public ClientUserTransactionService()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`

### getObjectName

    protected javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                        javax.management.ObjectName name)
                                                 throws javax.management.MalformedObjectNameException

  Overrides:
    `getObjectName` in class `ServiceMBeanSupport`

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `ServiceMBeanSupport`

### stopService

    protected void stopService()

  Overrides:
    `stopService` in class `ServiceMBeanSupport`

Copyright © 2000 The JBoss Organization. All Rights Reserved.